<?php
/* custom slides columns */
add_filter("manage_edit-slides_columns", "edit_slides_columns" );
add_action("manage_posts_custom_column", "custom_slides_columns");

function edit_slides_columns($slides_columns) {
        $slides_columns = array(
                "cb" => "<input type ='checkbox' />",
                "title" => __('Slide','earth'),
				"slides_url" => __('URL','earth'),
				"img_sliders" => __('Slider','earth'),
				"slides_image" => __('Featured Image','earth')
        );
        return $slides_columns;
}
function custom_slides_columns($slides_column) {
        global $post;
        switch ($slides_column) {
			case "slides_url":
					if(get_post_meta($post->ID, 'earth_slides_url', true) !='') {
						echo get_post_meta($post->ID, 'earth_slides_url', true);
					} else { echo '-'; }
			break;
			
			case "img_sliders":
				$img_sliders_terms = get_the_term_list( $post->ID, 'img_sliders', ' ', ' , ', ' ');
				echo strip_tags( $img_sliders_terms );
			break;
			
			case "slides_image":
					if(has_post_thumbnail()) {
						the_post_thumbnail( 'small-thumb' );
					} else { echo '-'; }
			break;
        }

}

// homepage highlights
add_filter("manage_edit-hp_highlights_columns", "edit_hp_highlights_columns" );
add_action("manage_posts_custom_column", "custom_hp_highlights_columns");

function edit_hp_highlights_columns($hp_highlight_columns) {
        $hp_highlight_columns = array(
                "cb" => "<input type ='checkbox' />",
                "title" => __('Title','earth'),
				"hp_highlight_url" => __('URL','earth'),
				"hp_highlight_image" => __('Featured Image','earth')
        );
        return $hp_highlight_columns;
}

function custom_hp_highlights_columns($hp_highlight_column) {
        global $post;
        switch ($hp_highlight_column) {
			case "hp_highlight_url":
					if(get_post_meta($post->ID, 'earth_hp_highlights_url', true) !='') {
						echo get_post_meta($post->ID, 'earth_hp_highlights_url', true);
					} else { echo '-'; }
			break;
			case "hp_highlight_image":
					if(has_post_thumbnail()) {
						the_post_thumbnail( 'small-thumb' );
					} else { echo '-'; }
			break;
        }

}

//  custom gallery columns
add_filter("manage_edit-gallery_columns", "edit_gallery_columns" );
add_action("manage_posts_custom_column", "custom_gallery_columns");

function edit_gallery_columns($gallery_columns) {
        $gallery_columns = array(
                "cb" => "<input type ='checkbox' />",
                "title" => __('Title','earth'),
				"gallery_category" => __('Category','earth'),
                "gallery_image" => __('Featured Image','earth')
        );
        return $gallery_columns;
}

function custom_gallery_columns($gallery_column) {
        global $post;
        switch ($gallery_column)
        {
				case "gallery_category":
					echo get_the_term_list( get_the_ID(), 'gallery_cats', ' ', ' , ', ' ');
				break;
				
                case "gallery_image":
						if(has_post_thumbnail()) {
                        	the_post_thumbnail( 'small-thumb' );
						} else { echo '-'; }
				break;
        }

}


//  custom events columns
add_filter("manage_edit-events_columns", "edit_events_columns" );
add_action("manage_posts_custom_column", "custom_events_columns");

function edit_events_columns($events_columns) {
        $events_columns = array(
                "cb" => "<input type ='checkbox' />",
                "title" => __('Title','earth'),
				"events_dates" =>__('Dates','earth'),
				"featured_event" =>__('Featured Event?','earth'),
                "events_image" => __('Featured Image','earth')
        );
        return $events_columns;
}

function custom_events_columns($events_column) {
        global $post;
        switch ($events_column)
        {
				
		case "events_dates":
					$months = earth_months();
					
					//start date
					$start_date = get_post_meta($post->ID, 'earth_event_start_date', TRUE);
					if($start_date) {
					$start_date_print = $months[$start_date['month']].' '.$start_date['day'].', '.$start_date['year'];
					}
					
					//end date
					$end_date = get_post_meta($post->ID, 'earth_event_end_date', TRUE);
					if($end_date){ 
					$end_date_print = $months[$end_date['month']].' '.$end_date['day'].', '.$end_date['year'];
					}
					
					if($start_date){
						echo $start_date_print . ' - ' . $end_date_print;
					} else {
						echo '-';
					}
		break;
		
		case "featured_event":
				echo get_post_meta($post->ID, 'earth_featured_event', true);
		break;
		
		case "events_image":
				if(has_post_thumbnail()) {
					the_post_thumbnail( 'small-thumb' );
				} else { echo '-'; }
		break;
        }

}


//  custom FAQs columns
add_filter("manage_edit-faqs_columns", "edit_faqs_columns" );
add_action("manage_posts_custom_column", "custom_faqs_columns");

function edit_faqs_columns($faqs_columns) {
        $faqs_columns = array(
                "cb" => "<input type ='checkbox' />",
                "title" => __('Title','earth'),
				"faqs_category" => __('Category','earth')
        );
        return $faqs_columns;
}

function custom_faqs_columns($faqs_column) {
        global $post;
        switch ($faqs_column) {
			case "faqs_category":
				echo get_the_term_list( get_the_ID(), 'faq_cats', ' ', ' , ', ' ');
			break;
        }

}
?>