<?php
/******************************************
/* Recent Posts Widget
******************************************/
class earth_upcoming_events extends WP_Widget {
							
    /** constructor */
    function earth_upcoming_events() {
        parent::WP_Widget(false, $name = __('Earth - Featured Events','earth'));
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		
        extract( $args );
        $title = apply_filters('widget_title', $instance['title']);
        $number = apply_filters('widget_title', $instance['number']);
		global $data; ?>
              <?php echo $before_widget; ?>
                  <?php if ( $title )
                        echo $before_title . $title . $after_title; ?>
							<ul class="widget-event clearfix">
							<?php
								global $post;
								$tmp_post = $post;
								$args = array(
									'post_type' => 'events',
									'numberposts' => $number,
									'orderby' => 'meta_value_num',
									'order' => $data['events_order'],
									'post__not_in' => wpex_get_expired_events_ids(),
									'meta_key' => 'timestamp_earth_event_start_date',
									'meta_query' => array(
														array (
															'key' => 'earth_featured_event',
															'value' => 'yes',
															'compare' => '=',
															)
														)
								);
								$myposts = get_posts( $args );
								foreach( $myposts as $post ) : setup_postdata($post);
								
								//description
								$event_description = get_post_meta($post->ID, 'earth_event_description', TRUE);
								
								//months
								$months = earth_months();
								
								//start date
								$start_date = get_post_meta($post->ID, 'earth_event_start_date', TRUE);
								$start_date_print = $months[$start_date['month']].' '.$start_date['day'].', '.$start_date['year']; ?>
                                    <li class="widget-event-entry clearfix">
                                        <div class="widget-event-date">
                                            <div class="widget-event-month">
                                                <?php echo $months[$start_date['month']]; ?>
                                            </div>
                                            <!-- /widget-event-month -->
                                            <div class="widget-event-day">
                                                <?php echo $start_date['day']; ?>
                                            </div>
                                            <!-- /widget-event-day -->
                                        </div>
                                        <!--/widget-event-date -->
                                        <div class="widget-event-entry-content">
                                            <h5><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h5>
                                            <?php if($event_description) { echo do_shortcode($event_description); } else { echo wp_trim_words( get_the_content(), 11, '...' ); } ?>
                                        </div>
                                        <!-- /widget-event-entry-content -->
                                    </li>
								<?php endforeach; ?>
								<?php $post = $tmp_post; ?>
							</ul>
                            <!-- /widget-event -->
              <?php echo $after_widget; ?>
        <?php
			}
		
			/** @see WP_Widget::update */
			function update($new_instance, $old_instance) {				
			$instance = $old_instance;
			$instance['title'] = strip_tags($new_instance['title']);
			$instance['number'] = strip_tags($new_instance['number']);
			
				return $instance;
			}
		
			/** @see WP_Widget::form */
			function form($instance) {
				$instance = wp_parse_args( (array) $instance, array(
																	'title' => __('Featured Events','earth'),
																	'id' => '', 'number' => 3
																));			
				$title = esc_attr($instance['title']);
				$number = esc_attr($instance['number']);
				?>
				 <p>
				  <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'earth'); ?></label> 
				  <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title','earth'); ?>" type="text" value="<?php echo $title; ?>" />
				</p>
				<p>
				  <label for="<?php echo $this->get_field_id('number'); ?>"><?php _e('Number to Show:', 'earth'); ?></label> 
				  <input class="widefat" id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" type="text" value="<?php echo $number; ?>" />
				</p>
        <?php 
    }

} // class earth_upcoming_events
// register Recent Posts widget
add_action('widgets_init', create_function('', 'return register_widget("earth_upcoming_events");'));	
?>