<?php
/**
 * @package WordPress
 * @subpackage Earth Theme
 */
 
global $data; //get theme options

//get and set blog category
if($data['home_blog_cat'] != 'Select') {
	$home_blog_cat = $data['home_blog_cat']; }
		else { $home_blog_cat = NULL; }

//tax query
if($home_blog_cat) {
	$blog_tax_query = array(
		array(
			  'taxonomy' => 'category',
			  'field' => 'slug',
			  'terms' => $home_blog_cat
			  )
		);
} else { $blog_tax_query = NULL; }

//get post type ==> blog
global $post;
$args = array(
	'post_type' =>'post',
	'numberposts' => $data['home_blog_count'],
	'tax_query' => $blog_tax_query,
	'suppress_filters' => false // WPML Support
);
$blog_posts = get_posts($args);
if($blog_posts) { ?>
    <div id="recent-news">
        <h2 class="heading"><?php if($data['home_blog_title'] !== '') echo $data['home_blog_title']; else _e('Recent News','earth'); ?></h2>
        <?php
        //start loop
        $count=0;
        foreach($blog_posts as $post) : setup_postdata($post);
        $count++; ?>
        <article class="recent-entry clearfix <?php if($count == $data['home_blog_count']) { echo 'last-recent-entry'; } ?>">
            <?php if( has_post_thumbnail() ) { ?>
                <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="styled-img featured-image">
                    <img src="<?php echo aq_resize( wp_get_attachment_url( get_post_thumbnail_id(),'full'), 120, 100, true ); ?>" alt="<?php the_title(); ?>" />
                    <div class="img-overlay"><span class="awesome-icon-plus-sign"></span></div><!-- arrow hover -->
                </a>
            <?php } ?>
            <div class="recent-entry-content">
                <h3><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>
                <div class="entry-meta">
                    <?php _e('Posted On ','earth'); the_time('jS F Y') ?> <?php if( comments_open() ) { ?> ~ <?php  comments_popup_link( __( '0 Comments', 'earth' ), __( '1 Comment', 'earth' ), __( '% Comments', 'earth' ) ); ?> <?php } ?>
                </div>   
                <!-- /entry-meta -->
                <?php echo wp_trim_words( strip_shortcodes( get_the_content() ), 11, '...' ); ?>
            </div>
            <!-- /recent-entry-content -->
        </article>
        <!-- /recent-entry -->
        <?php endforeach; wp_reset_postdata(); ?>
	</div>
	<!-- /recent-news -->
<?php } ?>
<div class="clear"></div>