<?php
/**
 * @package WordPress
 * @subpackage Earth Theme
 */
 
global $data; //get theme options

//meta query = show all events or just featured?
if($data['home_featured_event'] == '1'){
$meta_query = array(
				array (
					'key' => 'earth_featured_event',
					'value' => 'yes',
					'compare' => '=',
				)
			);
} else { $meta_query = NULL; }

//get post type ==> events
global $post;
$args = array(
	  'post_type' => 'events',
	  'numberposts' => $data['home_events_count'],
	  'orderby' => 'meta_value',
	  'order' => $data['events_order'],
	  'meta_key' => 'timestamp_earth_event_start_date',
	  'meta_query' => $meta_query,
	  'suppress_filters' => false, // WPML Support
	  'post__not_in' => wpex_get_expired_events_ids() // exclude past events
);
$event_posts = get_posts($args);
if($event_posts) {
?>
<div id="recent-events">
    <h2 class="heading"><?php if($data['home_events_title']) echo $data['home_events_title']; else _e('Recent Events','earth'); ?></h2>
        <?php
        //start loop
        $count=0;
        foreach($event_posts as $post) : setup_postdata($post);
        $count++;
        
        //start date
        $start_date = get_post_meta($post->ID, 'earth_event_start_date', TRUE);
        $start_date_print = $start_date['month'].' '.$start_date['day'].', '.$start_date['year'];
        
        //months
        $months = earth_months(); ?>
        
            <article class="event-entry clearfix <?php if($count == $data['home_events_count']) { echo 'last-event'; } ?>">
                <div class="event-date">
                    <div class="event-month">
                        <?php echo $months[$start_date['month']]; ?>
                    </div>
                    <!-- /event-month -->
                    <div class="event-day">
                        <?php echo $start_date['day']; ?>
                    </div>
                    <!-- /event-day -->
                </div>
                <!--/event-date -->
                <div class="event-entry-content">
                    <h3><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>
                    <?php if( get_post_meta($post->ID, 'earth_event_description', TRUE) ) { echo do_shortcode( get_post_meta($post->ID, 'earth_event_description', TRUE ) ); } else { echo wp_trim_words( get_the_content(), 11, '...' ); } ?>
                </div>
                <!-- /event-entry-content -->
            </article>
            <!-- /event-entry -->
	<?php endforeach; wp_reset_postdata(); ?>
</div>
<!-- /upcoming-events -->
<?php } ?>