<?php
/**
 * @package WordPress
 * @subpackage Earth Theme
 */
 
global $data; //get theme options

//get and set gallery category
if($data['home_gallery_cat'] != 'Select') {
	$home_gallery_cat = $data['home_gallery_cat']; }
		else { $home_gallery_cat = NULL; }

//tax query
if($home_gallery_cat) {
	$gallery_tax_query = array(
		array(
			  'taxonomy' => 'gallery_cats',
			  'field' => 'slug',
			  'terms' => $home_gallery_cat
			  )
		);
} else { $gallery_tax_query = NULL; }

//get post type ==> gallery
global $post;
$args = array(
	'post_type' => 'gallery',
	'numberposts' => $data['home_gallery_count'],
	'tax_query' => $gallery_tax_query
);
$gallery_posts = get_posts($args);
if($gallery_posts) {
?>
    <div id="recent-photos" class="clearfix">
		<h2 class="heading"><?php if($data['home_gallery_title'] !== '') echo $data['home_gallery_title']; else _e('From The Gallery','earth'); ?></h2>
        <?php
        //start loop
        foreach($gallery_posts as $post) : setup_postdata($post);
        ///only show if featured image is set
        if( has_post_thumbnail() ) { ?>
            <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="recent-photo tipsy-tooltip styled-img">
                <img src="<?php echo aq_resize( wp_get_attachment_url(get_post_thumbnail_id(),'full'), 81, 67, true ); ?>" alt="<?php the_title(); ?>" />
                <div class="img-overlay"><span class="awesome-icon-plus-sign"></span></div><!-- arrow hover -->
            </a>
        <?php } endforeach; wp_reset_postdata(); ?>
    </div>
    <!-- /recent-photos -->
<?php } ?>