<?php
/**
 * @package WordPress
 * @subpackage Earth Theme
 */
 
global $data; //get theme options

//tax query <-- get slider category
if(!empty($data['home_img_slider']) && $data['home_img_slider'] != 'Select') {
	$tax_query = array(
		array(
			  'taxonomy' => 'img_sliders',
			  'field' => 'slug',
			  'terms' => $data['home_img_slider']
			  )
		);
	} else { $tax_query = NULL; }

//get custom post type === > Slides
$args = array(
	'post_type' =>'slides',
	'numberposts' => -1,
	'order' => 'ASC',
	'tax_query' => $tax_query,
	'suppress_filters' => false // WPML Support
);
$slides = get_posts($args);

if($slides) { ?>
<div id="slider-wrap">
	<div id="slider">
		<div class="slides_container">
			<?php
			//start loop
            foreach($slides as $post) : setup_postdata($post);
			
            //link
			$slides_url_target = 'self';
			$slides_url_target = get_post_meta(get_the_ID(), 'earth_slides_url_target', TRUE);
			?>
            <?php
			//video slide
			if( get_post_meta(get_the_ID(), 'earth_slides_video', TRUE) ) {
			echo '<div class="single_slide">' . do_shortcode( get_post_meta(get_the_ID(), 'earth_slides_video', TRUE) ) . '</div>';
			} else {
				
			//image slide
			if( has_post_thumbnail() ) { ?>
				<div class="single_slide">
				<?php
				//add meta link to img
				if( get_post_meta(get_the_ID(), 'earth_slides_url', TRUE) !== '' ) { ?>
					<a href="<?php echo get_post_meta(get_the_ID(), 'earth_slides_url', TRUE); ?>" title="<?php the_title(); ?>" target="_<?php echo $slides_url_target; ?>"><img src="<?php echo aq_resize( wp_get_attachment_url( get_post_thumbnail_id(),'full'), 940, 400, true ); ?>" alt="<?php the_title(); ?>" /></a>
				<?php
				//open img in lightbox
				} else { ?> 
					<img src="<?php echo aq_resize( wp_get_attachment_url(get_post_thumbnail_id(),'full'), 940, 400, true ); ?>" alt="<?php the_title(); ?>" />
				<?php } ?>
				<?php if( get_post_meta(get_the_ID(), 'earth_slides_description', TRUE) !== '' ) { ?>
				<div class="caption">
					<p><?php echo get_post_meta(get_the_ID(), 'earth_slides_description', TRUE); ?></p>
				</div>
				<!-- /caption -->
				<?php } ?>
				</div>
				<!-- /single_slide -->
        	<?php } } ?>
        <?php endforeach; wp_reset_postdata(); ?>
	</div><!-- /slides_container -->
	<a class="slides_prev"><span class="awesome-icon-chevron-left"></span></a>
    <a class="slides_next"><span class="awesome-icon-chevron-right"></span></a>
    </div><!--/slider -->
</div>
<!-- /slider-wrap -->
<?php } ?>