<?php
/**
 * @package WordPress
 * @subpackage Earth Theme
 */ 
global $data; //get theme options
?>
<?php get_header(); ?>
  
    <?php
    //we'll use this
    $months = earth_months();
    
	//start loop
    if (have_posts()) : while (have_posts()) : the_post();
	
	//get img attachment count
	$get_attachments = get_children(array( 'post_parent' => $post->ID ));
	$attachments_count = count( $get_attachments );

	//start date
	$start_date = get_post_meta($post->ID, 'earth_event_start_date', TRUE);
	$start_date_print = $months[$start_date['month']].' '.$start_date['day'].', '.$start_date['year'];
	
	//end date
	$end_date = get_post_meta($post->ID, 'earth_event_end_date', TRUE);
	$end_date_print = $end_date['month'].' '.$end_date['day'].', '.$end_date['year'];
	
	//start time
	$start_time = get_post_meta($post->ID, 'earth_event_start_time', TRUE);
	
	//end time
	$end_time = get_post_meta($post->ID, 'earth_event_end_time', TRUE);
	
	//location
	$location = get_post_meta($post->ID, 'earth_event_location', TRUE);
	$location_desc = get_post_meta($post->ID, 'earth_event_location_desc', TRUE);
	
	//TargetDate (for countdown)
	$TargetDate = $start_date['month'].'/'.$start_date['day'].'/'.$start_date['year'].' '.$start_time;
	?>

<header id="page-heading" class="clearfix">
    <h1><span><?php _e('Event: ','earth'); ?></span><?php the_title(); ?></h1>
    <?php if ( $data['enable_disable_countdown'] !== 'disable' ) { ?>
	<!--countdown-->
    <script type="text/javascript">
    CountActive = true;
    TargetDate = "<?php echo $TargetDate ?>";
    DisplayFormat = '<div id="event-meta"><span class="awesome-icon-time"></span><strong><?php _e('Time to event','earth'); ?>:</strong> %%D%% <?php _e('days','earth'); ?> - %%H%% <?php _e('hours','earth'); ?> - %%M%% <?php _e('minutes','earth'); ?> - %%S%% <?php _e('seconds','earth'); ?></div>';
    FinishMessage = '<div id="event-meta"><span class="awesome-icon-time"></span><strong><?php _e('Time to event','earth'); ?>:</strong> <?php _e('This event has already started/finished','earth'); ?></div>';
    </script>
    <script src="<?php echo get_template_directory_uri() . '/js/countdown.js'; ?>" type="text/javascript"></script>
    <?php } ?>
</header>
<!-- /page-heading -->

<article class="post clearfix">
    
	<div class="entry clearfix">
    	<?php if( has_post_thumbnail() ) { ?>
            <div id="post-thumbnail">
                <a href="<?php echo wp_get_attachment_url(get_post_thumbnail_id(),'full'); ?>" class="view styled-img" title="<?php the_title(); ?>">
                    <img src="<?php echo aq_resize( wp_get_attachment_url(get_post_thumbnail_id(),'full'), 620, 9999, false ); ?>" alt="<?php echo the_title(); ?>" />
                    <div class="img-overlay"><span class="awesome-icon-search"></span></div><!-- magnifying hover -->
                </a>
            </div>
            <!-- /post-thumbnail -->
        <?php } ?>
		
        <div id="event-tabs" class="tabs tab-shortcode">
        
            <ul class="clearfix ui-tabs-nav">
                <li><a href="#tab-details"><?php _e('Details','earth'); ?></a></li>
                <?php if($location) { ?><li><a href="#tab-location"><?php _e('Map','earth'); ?></a></li><?php } ?>
                <?php if($attachments_count > '1') { ?><li><a href="#tab-gallery"><?php _e('Gallery','earth'); ?></a></li><?php } ?>
            </ul>
            
            <div id="tab-details" class="tab_content">
                
                <div id="event-details-left">
                        <div class="event-date">
                            <div class="event-month">
                                <?php echo $months[$start_date['month']]; ?>
                            </div>
                            <!-- /event-month -->
                            <div class="event-day">
                                <?php echo $start_date['day']; ?>
                            </div>
                            <!-- /event-day -->
                    	</div>
                    	<!--/event-date -->
            	</div>
                <!-- /event-details-left -->
                
                <div id="event-details-right">
                	<?php if( get_post_meta($post->ID, 'earth_event_details_title', true) !== ''){ ?>
                    	<h2 id="event-details-title"><?php echo get_post_meta($post->ID, 'earth_event_details_title', true); ?></h2>
					<?php }?>
					<?php the_content(); ?>
				</div>
                <!-- /event-details-right -->
                
                <div class="clear"></div><!-- /clear floats -->
                
            </div>
            <!-- /tab-details -->
    
			<?php
			//show Google map if link isn't empty
            if($location) { ?>
            <div id="tab-location" class="tab_content">
                <?php if($location) { ?>
                	<?php echo $location; ?>
                <?php } ?>
            </div>
            <!-- /tab-location -->
            <?php } ?>
            
            
            <?php
			//show gallery if there is more then 1 image attachment
            if($attachments_count > '1') { ?>
            <div id="tab-gallery" class="tab_content">
            	<div id="tab-gallery-inner" class="clearfix">
					<?php
					//img attachement loop
					$args = array(
						'orderby' => 'menu_order',
						'post_type' => 'attachment',
						'post_parent' => get_the_ID(),
						'post_mime_type' => 'image',
						'post_status' => null,
						'posts_per_page' => -1
					);
					$attachments = get_posts($args);
                    foreach ($attachments as $attachment) :
                
                    //img description
                    $img_description = $attachment->post_content;
                    
                    //get images
                    $img_url = wp_get_attachment_url($attachment->ID,'full'); //get full URL to image
                    $featured_image = aq_resize( $img_url, 180, 170, true ); //resize & crop the image
                    
                    //include image in gallery/slider?
                    $be_rotator_include = get_post_meta($attachment->ID, 'be_rotator_include', TRUE);
                    if($be_rotator_include !='1') {
                    ?>
                        <a href="<?php echo $img_url; ?>" title="<?php echo apply_filters('the_title', $attachment->post_title); ?>" class="view styled-img" rel="view[gallery-<?php echo basename(get_permalink()); ?>]">
                            <img src="<?php echo $featured_image; ?>" />
                            <div class="img-overlay"><span class="awesome-icon-search"></span></div><!-- magnifying hover -->
                        </a>
                    <?php } endforeach; ?>
                </div>
                <!-- /clearfix -->
            </div>
            <!-- /tab-gallery -->
            <?php } ?>
        
        </div>
        <!-- /tabs -->
        
        
        <div class="clear"></div>
    
        <?php wp_link_pages('before=<div id="post-page-navigation" class="clearfix">&after=</div>&link_before=<span>&link_after=</span>'); ?>

        <?php
		// Show comments, unless disabled
        if($data['enable_disable_blog_comments'] != 'disable') {
        comments_template(); } ?>
        
        </div><!-- /entry -->
    
</article>
<!-- /post -->   

<?php endwhile; endif; ?>    
<?php get_sidebar(); ?>
<?php get_footer(); ?>