<?php
/**
 * @package WordPress
 * @subpackage Earth Theme
 */
 
global $data; //get theme options
get_header(); //get template header
if (have_posts()) : while (have_posts()) : the_post(); //start loop ?>

    <header id="page-heading" class="clearfix"><?php _e('News','wpex'); ?></header><!-- /page-heading -->
    
    <article class="post clearfix">
        
        <div class="entry clearfix">
            <div class="entry-left">
                <section class="post-meta clearfix">
                    <ul>
                        <li><span class="awesome-icon-calendar"></span> <?php the_time('jS F Y') ?></li>    
                        <li><span class="awesome-icon-folder-open"></span> <?php the_category(' / '); ?></li>
                         <?php if( comments_open() ) { ?><li><span class="awesome-icon-comment"></span> <?php comments_popup_link( __( '0 Comments', 'earth' ), __( '1 Comment', 'earth' ), __( '% Comments', 'earth' ) ) ?></li><?php } ?>
                        <li><span class="awesome-icon-user"></span> <?php the_author_posts_link(); ?></li>
                   </ul>
                </section>     
                <!--/post-meta -->
            </div>
            <!-- /entry-left -->
            
            <div class="entry-right">
            	<h1 id="post-title"><?php the_title(); ?></h1>
                <?php
				//featured image
                if($data['enable_disable_post_image'] !='disable' && has_post_thumbnail()) {
                ?>
                    <div id="post-thumbnail">
                        <a href="<?php echo wp_get_attachment_url( get_post_thumbnail_id() ,'full'); ?>" class="view styled-img" title="<?php the_title(); ?>">
                            <img src="<?php echo aq_resize( wp_get_attachment_url( get_post_thumbnail_id() ,'full'), 620, 9999, false ); ?>" alt="<?php echo the_title(); ?>" />
                            <div class="img-overlay"><span class="awesome-icon-search"></span></div><!-- magnifying hover -->
                        </a>
                    </div>
                    <!-- /post-thumbnail -->
                <?php } ?>
                <?php the_content(); ?>
                
                <div class="clear"></div>
            
                <?php wp_link_pages('before=<div id="post-page-navigation" class="clearfix">&after=</div>&link_before=<span>&link_after=</span>'); ?>
                 
                <div id="post-bottom">
                   <?php the_tags(' <div id="post-tags"><strong>Tagged:</strong> ',' , ','</div>'); ?>
                </div>
                <!-- /post-bottom -->
        </div>
        
        <div class="clear"></div><!-- /clear divs -->
 
                <?php
                /*-----------------------------------------------------------------------------------*/
                /*	Related Posts
                /*-----------------------------------------------------------------------------------*/
                $cats = wp_get_post_terms($post->ID, 'category');; //get post categories
                $this_post = $post->ID; // get ID of current post
				
				$first_cat 	= $cats[0]->term_id;
				if(!empty($cats[1])) { $second_cat = $cats[1]->term_id; }  else { $second_cat = NULL; }
				if(!empty($cats[2])) { $third_cat = $cats[2]->term_id; } else { $third_cat = NULL; }
                
                $args = array(
                    'numberposts' => '3',
                    'orderby' => 'rand',
                    'exclude' => $this_post,
					'tax_query' => array(
									'relation' => 'OR',
									array(
										'taxonomy' => 'category',
										'terms' => $first_cat,
										'field' => 'id',
										'operator' => 'IN',
									),
									array(
										'taxonomy' => 'category',
										'terms' => $second_cat,
										'field' => 'id',
										'operator' => 'IN',
									),
									array(
										'taxonomy' => 'category',
										'terms' => $third_cat,
										'field' => 'id',
										'operator' => 'IN',
									)
								)
                );
                $related_posts = get_posts($args); 
                ?>
                <?php if($related_posts) { ?>
                <div class="leaf-divider"><span class="awesome-icon-leaf"></span></div><!--entry leaf divider -->
                <section id="related-posts">
					<div class="entry-left">
        				<h2><span class="awesome-icon-pencil"></span><?php _e('Related Articles','earth'); ?></h2>
					</div>
					<!-- /entry-left -->
                	<div class="entry-right">
                            <?php
                            //start loop
                            foreach($related_posts as $post) : setup_postdata($post);
                            ?>
                            <article class="related-entry clearfix">
                                <?php if( has_post_thumbnail() ) { ?>
                                    <div class="featured-image">
                                        <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="styled-img">
                                            <img src="<?php echo aq_resize( wp_get_attachment_url( get_post_thumbnail_id(),'full'), 120, 100, true ); ?>" alt="<?php the_title(); ?>" />
                                            <div class="img-overlay"><span class="awesome-icon-plus-sign"></span></div><!-- arrow hover -->
                                        </a>
                                    </div>
                                    <!-- /featured image -->
                                <?php } ?>
                                <div class="related-entry-content">
                                    <h3><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>
                                    <div class="entry-meta">
                                    	<?php _e('Posted On ','earth'); the_time('jS F Y') ?> ~ <?php  comments_popup_link( __( '0 Comments', 'earth' ), __( '1 Comment', 'earth' ), __( '% Comments', 'earth' ) ) ?>
                                    </div>   
                                    <!-- /related-entry-meta -->
                                    <?php echo wp_trim_words( get_the_content(), 25, '' ); ?>
                                </div>
                                <!-- /recent-entry-content -->
                            </article>
                            <!-- /related-entry -->
                            <?php endforeach; wp_reset_postdata(); ?>
                        </div>
                        <!-- /entry-right -->  
				</section> 
				<!-- /related-posts --> 
                <?php } ?>  
           
        </div>
        <!-- /entry -->

		<?php
        //Show comments, unless disabled
        if($data['enable_disable_blog_comments'] !== 'disable') {
        comments_template(); } ?>
     
    </article>
    <!-- /post -->     
  
<?php endwhile; endif; //end loop ?>
<?php get_sidebar(); //get sidebar template ?>
<?php get_footer(); //get footer template ?>