<?php
add_action('init','of_options');
if (!function_exists('of_options')) {
	function of_options() {


	//Access the WordPress Categories via an Array
	$of_categories = array();  
	$of_categories_obj = get_categories('hide_empty=0');
	foreach ($of_categories_obj as $of_cat) {
		$of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
	$categories_tmp = array_unshift($of_categories, "Select");    
		   
	//Access the WordPress Pages via an Array
	$of_pages = array();
	$of_pages_obj = get_pages('sort_column=post_parent,menu_order');    
	foreach ($of_pages_obj as $of_page) {
		$of_pages[$of_page->ID] = $of_page->post_name; }
	$of_pages_tmp = array_unshift($of_pages, "Select a page:");     
	
	//Access Image Slides via an Array
	$img_sliders_args = array( 'hide_empty' => '1' );
	$img_sliders_terms = get_terms('img_sliders', $img_sliders_args);
	$img_sliders_tax = array();
	foreach ( $img_sliders_terms as $img_sliders_term) {
		$img_sliders_tax[$img_sliders_term->term_id] = $img_sliders_term->slug;
	}
	$img_sliders_tax_tmp = array_unshift($img_sliders_tax, "Select");
	
	//Access gallery categories via an Array
	$gallery_cats_args = array( 'hide_empty' => '1' );
	$gallery_cats_terms = get_terms('gallery_cats', $gallery_cats_args);
	$gallery_cats_tax = array();
	foreach ( $gallery_cats_terms as $gallery_cats_term) {
		$gallery_cats_tax[$gallery_cats_term->term_id] = $gallery_cats_term->slug;
	}
	$gallery_cats_tax_tmp = array_unshift($gallery_cats_tax, "Select");   
	
	//Options
	$asc_desc =  array('ASC','DESC');
	$enable_disable = array('enable','disable'); 
	$disable_enable = array('disable','enable'); 
	$blank_self = array('blank','self');	
	$of_options_events_radio = array('no','yes');
	$awesome_icons = array('Select','beaker','bell','bolt','bookmark-empty','briefcase','bullhorn','caret-down','caret-left','caret-right','caret-up','certificate','check-empty','circle-arrow-down','circle-arrow-left','circle-arrow-right','circle-arrow-up','cloud','columns','comment-alt','comments-alt','copy','credit-card','cut','dashboard','envelope-alt','eye-open','facebook','fiter','fullscreen','github','globe','google-plus-sign','group','hand-down','hand-left','had-right','hand-up','hdd','legal','link','linkedin','list-ol','list-ul','magic','money','paper-clip','paste','phone-sign','phone','pinterest-sign','pinterest','reorder','rss','save','sign-blank','sitemap','sort-down','sort-up','sort','strikethough','table','tasks','truck','twitter','umbrella','underline','undo','unlock','user-md','wrench','music','search','envelope','heart', 'star','user','film','ok','remove','zoom-in','zoom-out','off','signal','trash', 'home','file','time', 'download','inbox', 'repeat','refresh','flag','headphones','qrcode','tag','tags','book','bookmark','print','camera','list','facetime-video','picture','pencil','map-marker', 'tint','edit', 'share','check','move','play','plus-sign', 'minus-sign','ok-sign','question-sign','info-sign', 'screenshot','remove-circle','ok-circle','ban-circle','plus','minus','asterisk','exclamation-sign','gift','leaf','fire','warning-sign','plane','calendar','random','comment','magnet','shopping-cart','folder-open','folder-close','bar-chart','cogs','external-link','pushpin','key','thumbs-up','comments','trophy','upload-alt','upload','fire');	
	$of_options_homepage_blocks = array(
		"enabled" => array (
			"placebo" => "placebo", //REQUIRED!
			"home_highlights" => "Highlights",
			"home_blog_events" => "Events & Blog",
			"home_gallery" => "Gallery Items",
			"home_static_page" => "Static Page"
		),
		"disabled" => array (
			"placebo" => "placebo", //REQUIRED!
		),
	);
	
	//Background Images Reader
	$bg_images_path = STYLESHEETPATH. '/images/bg/'; // change this to where you store your bg images
	$bg_images_url = get_template_directory_uri().'/images/bg/'; // change this to where you store your bg images
	$bg_images = array();
	
	if ( is_dir($bg_images_path) ) {
		if ($bg_images_dir = opendir($bg_images_path) ) { 
			while ( ($bg_images_file = readdir($bg_images_dir)) !== false ) {
				if(stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
					$bg_images[] = $bg_images_url . $bg_images_file;
				}
			}    
		}
	}
	
	
	//Background Overlays
	$bg_overlays_path = STYLESHEETPATH. '/images/thumb-overlays/'; // change this to where you store your bg images
	$bg_overlays_url = get_template_directory_uri().'/images/thumb-overlays/'; // change this to where you store your bg images
	$bg_overlays = array();
	
	if ( is_dir($bg_overlays_path) ) {
		if ($bg_overlays_dir = opendir($bg_overlays_path) ) { 
			while ( ($bg_overlays_file = readdir($bg_overlays_dir)) !== false ) {
				if(stristr($bg_overlays_file, ".png") !== false || stristr($bg_overlays_file, ".jpg") !== false) {
					$bg_overlays[] = $bg_overlays_url . $bg_overlays_file;
				}
			}    
		}
	}
	
	
	/*-----------------------------------------------------------------------------------*/
	/* The Options Array */
	/*-----------------------------------------------------------------------------------*/
	
	// Set the Options Array
	global $of_options;
	$of_options = array();
	
	
	$of_options[] = array( "name" => __('General', 'earth'),
						"type" => "heading");
						
	$of_options[] = array( "name" => __('Main Logo Upload', 'earth'),
						"desc" => __('Upload your custom logo using the native media uploader, or define the URL directly', 'earth'),
						"id" => "custom_logo",
						"std" => "",
						"type" => "media");
						
	$of_options[] = array( "name" => __('Custom Login Logo', 'earth'),
						"desc" => __('Upload a custom logo for your Wordpress login screen.', 'earth'),
						"id" => "custom_login_logo",
						"std" => "",
						"type" => "media");
						
	$of_options[] = array( "name" => __('Custom Login Logo Height', 'earth'),
						"desc" => __('Enter the height of your custom logo to override the default WordPress image height. Width, must not be changed.', 'earth'),
						"id" => "custom_login_logo_height",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Custom Favicon', 'earth'),
						"desc" => __('Upload or past the URL for your custom favicon.', 'earth'),
						"id" => "custom_favicon",
						"std" => "",
						"type" => "upload");
						
	$of_options[] = array( "name" => __('Header Donate Button Text', 'earth'),
						"desc" => __('Enter the text for your top bar callout button.', 'earth'),
						"id" => "callout_text",
						"std" => "Donate",
						"type" => "text"); 
						
	$of_options[] = array( "name" => __('Header Donate Button Link', 'earth'),
						"desc" => __('Enter the url to link your top bar callout button to', 'earth'),
						"id" => "callout_link",
						"std" => "#sample-url",
						"type" => "text"); 
	
	$of_options[] = array( "name" => __('Header Donate Button Link Target', 'earth'),
						"desc" => __('Select your link target', 'earth'),
						"id" => "callout_target",
						"std" => "blank",
						"type" => "select",
						"options" => $blank_self);
						
	$of_options[] = array( "name" => __('Header Donate Button Icon', 'earth'),
						"desc" => __('Select your preferred icon. You can preview the icons at <a href="http://fortawesome.github.com/Font-Awesome/">font awesome</a>.', 'earth'),
						"id" => "callout_icon",
						"std" => "Select",
						"type" => "select",
						"options" => $awesome_icons);	
						
	$of_options[] = array( "name" => __('Header Top Padding', 'earth'),
						"desc" => __('Top padding value for your header in pixels. Default: 25px', 'earth'),
						"id" => "header_top_padding",
						"std" => "25px",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Header Bottom Padding', 'earth'),
						"desc" => __('Bottom padding value for your header in pixels. Default: 25px', 'earth'),
						"id" => "header_bottom_padding",
						"std" => "25px",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Disable or Enable Header Search Bar', 'earth'),
						"desc" => __('Select to enable or disable the header search bar.', 'earth'),
						"id" => "disable_search",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
	$of_options[] = array( "name" => __('Custom Copyright Text', 'earth'),
						"desc" => __('Enter your custom copyright text here.', 'earth'),
						"id" => "custom_copyright",
						"std" => "&copy; Copyright 2012",
						"type" => "textarea");  
				
	$of_options[] = array( "name" => __('Tracking Code (Header)', 'earth'),
						"desc" => __('Paste your full Google Analytics code (or other) tracking code here. This will be added into the header template of your theme.', 'earth'),
						"id" => "tracking_header",
						"std" => "",
						"type" => "textarea");    
						
	$of_options[] = array( "name" => __('Tracking Code (Footer)', 'earth'),
						"desc" => __('Paste your full Google Analytics code (or other) tracking code here. This will be added into the footer template of your theme.', 'earth'),
						"id" => "tracking_footer",
						"std" => "",
						"type" => "textarea");
						
	$of_options[] = array( "name" => __('Styling', 'earth'),
						"type" => "heading");
						
	$of_options[] = array( "name" => "Main Background Images",
						"desc" => "Select a background pattern. You can add your own by dropping the images into your images/bg folder in the theme ~ Epic.",
						"id" => "custom_bg",
						"std" => $bg_images_url. "1.png",
						"type" => "tiles",
						"options" => $bg_images,
	);
	
	$of_options[] = array( "name" => __('Main Background', 'earth'),
						"desc" => "",
						"id" => "background_color",
						"std" => "",
						"type" => "color");
						
	$of_options[] = array( "name" => __('Custom CSS', 'earth'),
						"desc" => __('Quickly add some CSS to your theme by adding it to this block.', 'earth'),
						"id" => "custom_css",
						"std" => "",
						"type" => "textarea");
	
	$of_options[] = array( "name" => __('Fonts', 'earth'),
						"type" => "heading");					
						
	$of_options[] = array( "name" => "Body Font",
					"desc" => "Body font properties",
					"id" => "body_font",
					"std" => array('face' => 'default','style' => 'normal',),
					"type" => "typography"); 

	$of_options[] = array( "name" => __('Headings', 'earth'),
						"desc" => __('Deadings font properties. This will be applied to h1, h2, h3, h4, h5, h6 tags.', 'earth'),
						"id" => "headings_font",
						"std" => array('face' => 'default','style' => 'bold',),
						"type" => "typography");
						 
	$of_options[] = array( "name" => __('Donate Button', 'earth'),
						"desc" => __('Donate button font properties.', 'earth'),
						"id" => "donate_font",
						"std" => array( 'size' => '18px', 'face' => 'Chewy','style' => 'bold'),
						"type" => "typography");
						
	$of_options[] = array( "name" => __('Navigation', 'earth'),
						"desc" => __('Navigation button font properties.', 'earth'),
						"id" => "navigation_font",
						"std" => array('size' => '13px', 'face' => 'default','style' => 'bold',),
						"type" => "typography");
	
	$of_options[] = array( "name" => __('Slider Caption', 'earth'),
						"desc" => __('Slider caption font properties.', 'earth'),
						"id" => "slider_caption_font",
						"std" => array('size' => '14px', 'face' => 'default','style' => 'normal',),
						"type" => "typography");
						 
	$of_options[] = array( "name" => __('Home', 'earth'),
						"type" => "heading");
						
	$of_options[] = array( "name" => __('Homepage Layout Manager', 'earth'),
					"desc" => __('Organize how you want the layout to appear on the homepage.', 'earth'),
					"id" => "homepage_blocks",
					"std" => $of_options_homepage_blocks,
					"type" => "sorter");
						
	$of_options[] = array( "name" => __('Slider Category', 'earth'),
						"desc" => __('Choose your image slider', 'earth'),
						"id" => "home_img_slider",
						"std" => "",
						"type" => "select",
						"options" => $img_sliders_tax);
						
	$of_options[] = array( "name" => __('Events Title', 'earth'),
						"desc" => __('Enter your custom title for the events module.', 'earth'),
						"id" => "home_events_title",
						"std" => __('Upcoming Events','earth'),
						"type" => "text");
						
	$of_options[] = array( "name" => __('How Many Events', 'earth'),
						"desc" => __('How many events do you want to show on the homepage.', 'earth'),
						"id" => "home_events_count",
						"std" => "4",
						"type" => "text");
						
	$of_options[] = array( "name" => "Show Only Featured Events?",
						"desc" => "Example checkbox with false selected.",
						"id" => "home_featured_event",
						"std" => "0",
						"type" => "radio",
						"options" => $of_options_events_radio);
						
	$of_options[] = array( "name" => __('Recent News Title', 'earth'),
						"desc" => __('Enter your custom title for the latest blog items module.', 'earth'),
						"id" => "home_blog_title",
						"std" => __('From The Blog','earth'),
						"type" => "text");
						
	$of_options[] = array( "name" => __('Recent News Category', 'earth'),
						"desc" => __('If you do not want recent blog posts from all the most recent posts, select a specific category below to pull the posts from.', 'earth'),
						"id" => "home_blog_cat",
						"std" => "",
						"type" => "select",
						"options" => $of_categories);
						
	$of_options[] = array( "name" => __('How Recent News Posts?', 'earth'),
						"desc" => __('How many latest blog posts do you want to show on the homepage.', 'earth'),
						"id" => "home_blog_count",
						"std" => "3",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Gallery Items Title', 'earth'),
						"desc" => __('Enter your custom title for the latest gallery items module.', 'earth'),
						"id" => "home_gallery_title",
						"std" => __('Featured Work','earth'),
						"type" => "text");
						
	$of_options[] = array( "name" => __('Gallery Category', 'earth'),
						"desc" => __('If you do not want to show all the recent gallery items, select a specific category below.', 'earth'),
						"id" => "home_gallery_cat",
						"std" => "",
						"type" => "select",
						"options" => $gallery_cats_tax);
						
	$of_options[] = array( "name" => __('How Many Latest Gallery Items', 'earth'),
						"desc" => __('How many latest gallery items do you want to show on the homepage.', 'earth'),
						"id" => "home_gallery_count",
						"std" => "10",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Static Page Title', 'earth'),
						"desc" => __('Enter the text for your static page module. (optional)', 'earth'),
						"id" => "home_static_page_title",
						"std" => "Sample Title",
						"type" => "text");
					
	$of_options[] = array( "name" => __('Static Page', 'earth'),
						"desc" => __('Select a page for your homepage static page module. <strong>Important:</strong> Pages with custom loops like the portfolio, services, staff..etc, pages will not work.This only shows the content from the post editor.', 'earth'),
						"id" => "home_static_page",
						"std" => "Select a page:",
						"type" => "select",
						"options" => $of_pages);
						
	$of_options[] = array( "name" => __('Events', 'earth'),
						"type" => "heading");
						
	$of_options[] = array(
						"name" => __('Show Countdown', 'earth'),
						"desc" => __('Select the event countdown on the event posts.', 'earth'),
						"id" => "enable_disable_countdown",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
	$of_options[] = array(
						"name" => __('Events Order', 'earth'),
						"desc" => __('Select your preferred events order (Ascending or Descending)', 'earth'),
						"id" => "events_order",
						"std" => "ASC",
						"type" => "select",
						"options" => $asc_desc);
						
	$of_options[] = array( "name" => __('Blog', 'earth'),
						"type" => "heading");
						
	$of_options[] = array( "name" => __('Divider Icon', 'earth'),
						"desc" => __('Change the default <strong>leaf divider</strong> to another icon. You can preview the icons at <a href="http://fortawesome.github.com/Font-Awesome/">font awesome</a>.', 'earth'),
						"id" => "divider_icon",
						"std" => "leaf",
						"type" => "select",
						"options" => $awesome_icons);	
						
	$of_options[] = array( "name" => __('Full Content Entries', 'earth'),
						"desc" => __('Select to enable the full content for entries. This means the entries for the blog posts will show the entire post content with a large featured image instead of the small image on the left and title, meta and excerpt on the right.', 'earth'),
						"id" => "enable_full_blog",
						"std" => "disable",
						"type" => "select",
						"options" => $disable_enable);	
						
	$of_options[] = array( "name" => __('Excerpt Length', 'earth'),
						"desc" => __('Add your own custom blog excerpt length. Used for blog page, archives and search results.', 'earth'),
						"id" => "blog_excerpt",
						"std" => "35",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Enable or Disable Single Blog Post Featured Images.', 'earth'),
						"desc" => __('Select to enable or disable the featured image on blog posts.', 'earth'),
						"id" => "enable_disable_post_image",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
	$of_options[] = array( "name" => __('Social', 'earth'),
						"type" => "heading");
						
	$of_options[] = array( "name" => __('Enable or Disable Social Links In header.', 'earth'),
						"desc" => __('Select to enable or disable the social icons in the header.', 'earth'),
						"id" => "enable_disable_social",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
						
	$of_options[] = array( "name" => __('Twitter', 'earth'),
						"desc" => __('Add your twitter url.', 'earth'),
						"id" => "twitter",
						"std" => "",
						"type" => "text");
	
	$of_options[] = array( "name" => __('Flickr', 'earth'),
						"desc" => __('Add your flickr url.', 'earth'),
						"id" => "flickr",
						"std" => "",
						"type" => "text");
	
	$of_options[] = array( "name" => __('Facebook', 'earth'),
						"desc" => __('Add your facebook url.', 'earth'),
						"id" => "facebook",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Google', 'earth'),
						"desc" => __('Add your Google url.', 'earth'),
						"id" => "google",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Youtube', 'earth'),
						"desc" => __('Add your youtube url.', 'earth'),
						"id" => "youtube",
						"std" => "",
						"type" => "text");
	
	$of_options[] = array( "name" => __('Vimeo', 'earth'),
						"desc" => __('Add your vimeo url.', 'earth'),
						"id" => "vimeo",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Calendar', 'earth'),
						"desc" => __('Add your calendar url.', 'earth'),
						"id" => "calendar",
						"std" => "",
						"type" => "text");
										
	$of_options[] = array( "name" => __('Contact', 'earth'),
						"desc" => __('Add your contact url.', 'earth'),
						"id" => "contact",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('RSS', 'earth'),
						"desc" => __('Add your rss url.', 'earth'),
						"id" => "rss",
						"std" => "",
						"type" => "text");
						
	$of_options[] = array( "name" => __('Comments', 'earth'),
						"type" => "heading");
										
	$of_options[] = array( "name" => __('Disable/Enable Comments On Pages', 'earth'),
						"desc" => __('Select to enable/disable comments on regular pages.', 'earth'),
						"id" => "enable_disable_page_comments",
						"std" => "disable",
						"type" => "select",
						"options" => $disable_enable);
						
	$of_options[] = array( "name" => __('Disable/Enable Comments On Blog Posts', 'earth'),
						"desc" => __('Select to enable/disable comments on blog posts.', 'earth'),
						"id" => "enable_disable_blog_comments",
						"std" => "enable",
						"type" => "select",
						"options" => $enable_disable);
					
	// Backup Options
	$of_options[] = array( "name" => __('Backup Options', 'earth'),
						"type" => "heading");
						
	$of_options[] = array( "name" => __('Backup and Restore Option', 'earth'),
						"id" => "of_backup",
						"std" => "",
						"type" => "backup",
						"desc" => __('You can use the two buttons below to backup your current options, and then restore it back at a later time. This is useful if you want to experiment on the options but would like to keep the old settings in case you need it back.', 'earth'),
						);
						
	$of_options[] = array( "name" => __('Transfer Theme Options Data', 'earth'),
						"id" => "of_transfer",
						"std" => "",
						"type" => "transfer",
						"desc" => __('You can tranfer the saved options data between different installs by copying the text inside the text box. To import data from another install, replace the data in the text box with the one from another install and click "Import Options.', 'earth'),
					);
					
	}
}
?>
