<?php
/**
 * @package WordPress
 * @subpackage Earth Theme
 */
?>
<?php get_header(); ?>

<?php if (have_posts()) : ?>
    
    <header id="page-heading">
        <?php $post = $posts[0]; ?>
        <?php if (is_category()) { ?>
            <h1><?php single_cat_title(); ?></h1>
        <?php } elseif( is_tag() ) { ?>
            <h1><?php _e('Posts Tagged','earth'); ?> &quot;<?php single_tag_title(); ?>&quot;</h1>
        <?php } elseif (is_day()) { ?>
            <h1><?php _e('Archive for','earth'); ?> <?php the_time('F jS, Y'); ?></h1>
        <?php } elseif (is_month()) { ?>
            <h1><?php _e('Archive for','earth'); ?> <?php the_time('F, Y'); ?></h1>
        <?php } elseif (is_year()) { ?>
            <h1><?php _e('Archive for','earth'); ?> <?php the_time('Y'); ?></h1>
        <?php } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
            <h1><?php _e('Blog Archives','earth'); ?></h1>
        <?php } ?>
    </header>
    <!-- /page-heading -->

    <section class="post clearfix">
        <?php get_template_part( 'loop' , 'entry'); ?>                	     
        <?php pagination(); ?> 
    </section>
    <!-- /post -->

<?php endif; ?>

<?php get_sidebar(); ?>	  
<?php get_footer(); ?>