<?php 
/**
* Build Calendar for Event post type
* Author : Syamil MJ
*
* Credits : http://davidwalsh.name/php-calendar
*	
*/

/* earth months */
function earth_months(){
	$months = array (
		1 => __('Jan', 'earth'),
		2 => __('Feb', 'earth'),
		3 => __('Mar', 'earth'),
		4 => __('Apr', 'earth'),
		5 => __('May', 'earth'),
		6 => __('Jun', 'earth'),
		7 => __('July', 'earth'),
		8 => __('Aug', 'earth'),
		9 => __('Sep', 'earth'),
		10 => __('Oct', 'earth'),
		11 => __('Nov', 'earth'),
		12 => __('Dec', 'earth'),
	);
	return $months;
}

/* draws a calendar */
add_action('wp_ajax_get_calendar', 'fetch_calendar');

add_action('wp_ajax_nopriv_get_calendar', 'fetch_calendar');

function fetch_calendar() {
	//security check
	$nonce=$_POST['security'];	
	if (! wp_verify_nonce($nonce, 'events_calendar') ) die('-1');
	
	//get ajax data
	wp_parse_str(stripslashes($_POST['data']), $data);
	$month = $data['month'];
	$year = $data['year'];
	
	//build the title, navs etc
	$months = earth_months();
	
	?>	
	
	<form id="cal-trigger">
		<select name="month">
		  
		  <?php 
		  foreach($months as $key=>$mth) {
		  	
		  	$selected = selected( $key, $month, false);
		  	echo '<option value="'.$key.'" '.$selected.'>'. $mth .'</option>';
		  
		  }
		  ?>
		  
		</select>
		
		<select name="year">
		<?php 
		
		$years = range(2010,2015,1);
		foreach($years as $yr) {
		
			$selected = selected( $yr, $year, false);
			echo '<option value="'. $yr .'" '. $selected .'>'. $yr .'</option>';
		}
		?>
		</select>
		<a id="submit" class="cal-submit yellow-btn" href="#"><?php _e('Go','earth') ?></a>
	</form>
	
	<div id="cal-nav">
		<?php 
			$next_month = $month + 1;
			$next_month = $next_month > 12 ? 1 : $next_month;
			$next_year = $next_month === 1 ? $year + 1 : $year;
			
			$prev_month = $month - 1;
			$prev_month = $prev_month <= 0 ? 12 : $prev_month;
			$prev_year = $prev_month === 12 ? $year - 1 : $year;
		
		?>
		<form id="cal-prev_val">
			<input type="hidden" name="month" class="month" value="<?php echo $prev_month ?>">
			<input type="hidden" name="year" class="year" value="<?php echo $prev_year ?>">
		</form>
		<form id="cal-next_val">
			<input type="hidden" name="month" class="month" value="<?php echo $next_month ?>">
			<input type="hidden" name="year" class="year" value="<?php echo $next_year ?>">
		</form>
		<input type="button" id="cal-prev" class="yellow-btn" value="&laquo; Prev">
		<input type="button" id="cal-next" class="yellow-btn" value="Next &raquo;">
	</div>
    
    <h2 id="calendar_title"><?php echo $months[$month].' '.$year; ?></h2>
	
	<div id="calendar">
	<?php
	//fetch calendar
	$calendar = draw_calendar($month, $year);
	?>
	</div>
	
	<?php
	//return calendar to js
	echo $calendar;
	
	//we need this so that this function won't spit out craps
	die();
}

function draw_calendar($month,$year){

	//start draw table
	$calendar = '<table cellpadding="0" cellspacing="0" class="calendar">';
	
	//table headings TODO translate
	$headings = array('Sunday','Monday','Tuesday','Wednesday','Thursday','Friday','Saturday');
	$calendar.= '<tr class="calendar-row"><td class="calendar-day-head">'.implode('</td><td class="calendar-day-head">',$headings).'</td></tr>';
	
	//days and weeks vars now
	$running_day = date('w',mktime(0,0,0,$month,1,$year));
	$days_in_month = date('t',mktime(0,0,0,$month,1,$year));
	$days_in_this_week = 1;
	$day_counter = 0;
	$dates_array = array();
	
	//get today's date
	$time = current_time('timestamp');
	$today_day = date('j', $time);
	$today_month = date('n', $time);
	$today_year = date('Y', $time);
	
	//row for week one */
	$calendar.= '<tr class="calendar-row">';
	
	//print "blank" days until the first of the current week
	for($x = 0; $x < $running_day; $x++):
	
		$calendar.= '<td class="calendar-day-np">'.str_repeat('<p>&nbsp;</p>',2).'</td>';
		$days_in_this_week++;
		
	endfor;
	
	//keep going with days
	for($list_day = 1; $list_day <= $days_in_month; $list_day++):
		
		$today = $today_day == $list_day && $today_month == $month && $today_year == $year ? 'today' : '';
		
		$cal_day = '<td class="calendar-day '. $today .'">';
		  
		//add in the day numbering
		$cal_day .= '<div class="day-number">'.$list_day.'</div>';
		
		//QUERY THE DATABASE FOR AN ENTRY FOR THIS DAY !!  IF MATCHES FOUND, PRINT THEM !!
		$args = array ('numberposts' => -1,'post_type' => 'events','post_status' => 'publish');
		$events = get_posts($args);
		
		$cal_event = '';
		
		foreach ($events as $event) : setup_postdata($event);
		
			$id = $event->ID;
			
			$timestamp = get_the_time('U', $id);
			
			//timestamp for start date
			$start_date = get_post_meta($id, 'earth_event_start_date', TRUE);
			$timestamp = $start_date ? mktime(0,0,0,$start_date['month'],$start_date['day'],$start_date['year']) : $timestamp;
			
			//timestamp end date
			$end_date = get_post_meta($id, 'earth_event_end_date', TRUE);
			$end_timestamp = '';
			
			if($end_date['day']) {
				$end_timestamp = $end_date ? mktime(0,0,0,$end_date['month'],$end_date['day'],$end_date['year']) : $timestamp;
			}
			
			//define start date
			$evt_day = date( 'j', $timestamp );
			$evt_month = date( 'n', $timestamp );
			$evt_year = date( 'Y', $timestamp );
			
			//max days in the event's month
			$last_day = date('t', mktime(0, 0, 0, $evt_month, 1, $evt_year));
			
			//check time diff
			if(($end_timestamp - $timestamp)/(60*60*24) > 0) {
				
				//define end date
				$evt_end_day = date( 'j', $end_timestamp );
				$evt_end_month = date( 'n', $end_timestamp );
				$evt_end_year = date( 'Y', $end_timestamp );
				
				$days_span = round(($end_timestamp - $timestamp)/(60*60*24));
				
				//we check if event spans between two diff months
				if( ($evt_day + $days_span) > $last_day ) :
				
					for($running_evt_day = $evt_day, $evt_end_day = $evt_day + $days_span ; $running_evt_day <= $evt_end_day; $running_evt_day++) {
						
						$jimbo = $running_evt_day;
						$limbo = $evt_month;
						$kimbo = $evt_year;
												
						if($running_evt_day > $last_day) {
						
							$jimbo = $running_evt_day - $last_day;
							$limbo = $evt_end_month;
							$kimbo = $evt_end_year;
						
						}
						
						if(
							$jimbo == $list_day &&
							$limbo == $month &&
							$kimbo == $year
						) {
						
							$cal_event .= '<a href="'. get_permalink($id) .'">'. get_the_title($id) .'</a><br/>';
						
						}
					
					}
				
				//else just consider for single month
				else : 
				
					for($running_evt_day = $evt_day, $evt_end_day = $evt_day + $days_span ; $running_evt_day <= $evt_end_day; $running_evt_day++) {
						
						if(
							$running_evt_day == $list_day &&
							$evt_month == $month &&
							$evt_year == $year
						) {
						
							$cal_event .= '<a href="'. get_permalink($id) .'">'. get_the_title($id) .'</a><br/>';
						
						}
						
					}
				
				endif;
				
			} else {
				//we check if any events exists on current iteration
				//if yes, return the link to event
				if(
					$evt_day == $list_day &&
					$evt_month == $month &&
					$evt_year == $year
				) {
				
					$cal_event .= '<a href="'. get_permalink($id) .'">'. get_the_title($id) .'</a><br/>';
				
				}
			}
			
		endforeach;
		
		$calendar .= $cal_day;
		
		$calendar.= $cal_event ? $cal_event : str_repeat('<p>&nbsp;</p>',2);
		
		$calendar.= '</td>';
		
		if($running_day == 6):
		
			$calendar.= '</tr>';
			
			if(($day_counter+1) != $days_in_month):
				$calendar.= '<tr class="calendar-row">';
			endif;
			
			$running_day = -1;
			$days_in_this_week = 0;
			
		endif;
		
		$days_in_this_week++; $running_day++; $day_counter++;
	
	endfor;
	
	//finish the rest of the days in the week
	if($days_in_this_week < 8):
		for($x = 1; $x <= (8 - $days_in_this_week); $x++):
		  $calendar.= '<td class="calendar-day-np">'.str_repeat('<p>&nbsp;</p>',2).'</td>';
		endfor;
	endif;
	
	//final row
	$calendar.= '</tr>';
	
	//end the table
	$calendar.= '</table>';
	
	//all done, return the completed table
	return $calendar;
}
