<?php
/******************************************
/* Recent Posts Widget
******************************************/
class earth_recent_gallery extends WP_Widget {
							
    /** constructor */
    function earth_recent_gallery() {
        parent::WP_Widget(false, $name = 'Earth - Recent Gallery Items');
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance) {		
        extract( $args );
        $title = apply_filters('widget_title', $instance['title']);
        $number = apply_filters('widget_title', $instance['number']);
		$category = apply_filters('widget_title', $instance['category']);
        ?>
              <?php echo $before_widget; ?>
                  <?php if ( $title )
                        echo $before_title . $title . $after_title; ?>
							<div class="widget-recent-gallery clearfix">
							<?php
								if($category && $category !='all-cats'){
									//tax query
										$tax_query = array(
											array(
												  'taxonomy' => 'gallery_cats',
												  'field' => 'id',
												  'terms' => $category
												  )
											);
								} else { $tax_query = NULL; }
							
								global $post;
								$tmp_post = $post;
								$args = array(
									'post_type' => 'gallery',
									'numberposts' => $number,
									'tax_query' => $tax_query
								);
								$myposts = get_posts( $args );
								foreach( $myposts as $post ) : setup_postdata($post);
								
								//cropped image
								$thumb = get_post_thumbnail_id();
								$img_url = wp_get_attachment_url($thumb,'full'); //get full URL to image
								$featured_image = aq_resize( $img_url, 54, 45, true ); //resize & crop the image
								?>
                                
                                <?php if($featured_image) { ?>
                                <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="styled-img">
                                	<img src="<?php echo $featured_image; ?>" alt="<?php the_title(); ?>" />
                                    <div class="img-overlay"><span class="awesome-icon-plus-sign"></span></div><!-- arrow hover -->
                                </a>
								<?php } ?>
								<?php endforeach; ?>
								<?php $post = $tmp_post; ?>
							</div>
              <?php echo $after_widget; ?>
        <?php
			}
		
			/** @see WP_Widget::update */
			function update($new_instance, $old_instance) {				
			$instance = $old_instance;
			$instance['title'] = strip_tags($new_instance['title']);
			$instance['number'] = strip_tags($new_instance['number']);
			$instance['category'] = strip_tags($new_instance['category']);
				return $instance;
			}
		
			/** @see WP_Widget::form */
			function form($instance) {
				$instance = wp_parse_args( (array) $instance, array(
																	'title' => __('Gallery','earth'),
																	'id' => '', 'number' => 12,
																	'category' => 'all-cats'
																));			
				$title = esc_attr($instance['title']);
				$number = esc_attr($instance['number']);
				$category = esc_attr($instance['category']);
				?>
				 <p>
				  <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'earth'); ?></label> 
				  <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title','earth'); ?>" type="text" value="<?php echo $title; ?>" />
				</p>
				<p>
				  <label for="<?php echo $this->get_field_id('number'); ?>"><?php _e('Number to Show:', 'earth'); ?></label> 
				  <input class="widefat" id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" type="text" value="<?php echo $number; ?>" />
				</p>
				<p>
				<label for="<?php echo $this->get_field_id('category'); ?>"><?php _e('Select a Category:', 'earth'); ?></label> 
				<select class='earth-select' name="<?php echo $this->get_field_name('category'); ?>" id="<?php echo $this->get_field_id('category'); ?>">
				<option value="all-cats" <?php if($category == 'all-cats') { ?>selected="selected"<?php } ?>><?php _e('All', 'earth'); ?></option>
				<?php
				//get terms
				$cat_args = array( 'hide_empty' => '1' );
				$cat_terms = get_terms('gallery_cats', $cat_args);
				foreach ( $cat_terms as $cat_term) { ?>
					<option value="<?php echo $cat_term->term_id; ?>" id="<?php echo $cat_term->term_id; ?>" <?php if($category == $cat_term->term_id) { ?>selected="selected"<?php } ?>><?php echo $cat_term->name; ?></option>
				<?php } ?>
				</select>
				</p>
        <?php 
    }

} // class earth_recent_gallery
// register Recent Posts widget
add_action('widgets_init', create_function('', 'return register_widget("earth_recent_gallery");'));	
?>