<?php
/**
 * @package WordPress
 * @subpackage Earth Theme
 */
?>
<?php get_header(); ?>

<header id="page-heading">
	<h1 id="archive-title"><?php _e('Search Results For', 'earth'); ?> "<?php the_search_query(); ?>"</h1>
</header>
<!-- END page-heading --> 

<section class="post clearfix">  
	<?php if(have_posts()) : while (have_posts()) : the_post(); ?>
            <article class="search-entry clearfix">
                <h2><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>
                <?php
                //image
                $thumb = get_post_thumbnail_id();
                $img_url = wp_get_attachment_url($thumb,'full'); //get full URL to image
                $featured_image = aq_resize( $img_url, 120, 100, true ); //resize & crop the image
                
                if($featured_image) { ?>
                <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="search-entry-img styled-img">
                    <img src="<?php echo $featured_image; ?>" alt="<?php the_title(); ?>" />
                    <div class="img-overlay"><span class="awesome-icon-plus-sign"></span></div><!-- arrow hover -->
                </a>
                <?php } ?>
                <?php the_excerpt(); ?>
            </article>
            <!-- /search-entry -->
            <?php endwhile; ?>
            
            <?php pagination(); ?>
    
    <?php else : ?>
            <p class="no-results"><?php _e('No Results Found', 'earth'); ?></p> 
    <?php endif; ?>
</section>
<!-- /post -->

<?php get_sidebar(); ?>		  
<?php get_footer(); ?>