<?php
/**
 * @package WordPress
 * @subpackage Earth Theme
 * Template Name: Blog
 */
?>

<?php get_header(); ?>

<?php
//start loop
if(have_posts()) : while (have_posts()) : the_post();

//get meta
$enable_disable_title = get_post_meta($post->ID, 'earth_page_title', TRUE);

//show title unless disabled
if($enable_disable_title != 'Disable') {?>
<header id="page-heading">
    <h1><?php the_title(); ?></h1>
</header>
<!-- END page-heading -->
<?php } ?>

<div class="post clearfix">
    
    <?php
	//get meta to set parent category
	$blog_filter_parent = '';
	$blog_parent = get_post_meta($post->ID, 'earth_blog_parent', true);
	
	if($blog_parent != 'select_blog_parent') { $blog_filter_parent = $blog_parent; } else { $blog_filter_parent = NULL; }
	
	
	//tax query
	if($blog_filter_parent) {
		$tax_query = array(
			array(
				  'taxonomy' => 'category',
				  'field' => 'id',
				  'terms' => $blog_filter_parent
				  )
			);
	} else { $tax_query = NULL; }
	
	//query posts
		query_posts(
			array(
			'post_type'=> 'post',
			'paged'=>$paged,
			'tax_query' => $tax_query
		));
	?>
	<?php if (have_posts()) : ?>              
			<?php get_template_part( 'loop', 'entry'); ?>                	
	<?php endif; ?>       
	
	<?php pagination(); wp_reset_query(); ?>
	
</div>
<!-- /post -->

<?php endwhile; endif; ?>
<?php get_sidebar(); ?>
<?php get_footer(); ?>