<?php
/*
Template Name: Events Calendar
*/ 
$page_desc = get_post_meta($post->ID, 'aq_page_description', TRUE); 
get_header(); ?>

<?php
//start loop
if(have_posts()) : while (have_posts()) : the_post();

//get meta
$enable_disable_title = get_post_meta($post->ID, 'earth_page_title', TRUE);
?>

    <div id="content-full-width" class="cf">
	
		<?php
        //show title unless disabled
        if($enable_disable_title != 'Disable') {?>
        <header id="page-heading">
            <h1><?php the_title(); ?></h1>
            <div id="ajax-loader"></div><!-- ajax loader for calendar -->
        </header>
        <!-- END page-heading -->
        <?php } ?>
	
    	<div id="page-<?php the_ID(); ?>" <?php post_class('single-page') ?>>
				
				<div class="the-content cf">
					<?php the_content(); ?>
					
					<input id="security" name="aq_nonce" type="hidden" value="<?php echo wp_create_nonce('events_calendar') ?>" />
					
					<div id="events_calendar">
					
						<?php 
						$time = current_time('timestamp');
						$today_month = date('n', $time);
						$today_year = date('Y', $time);
						
						$months = earth_months();
						?>
				
						<form id="cal-trigger">
							<select name="month">
							  
							  <?php 
							  foreach($months as $key=>$month) {
							  	
							  	$selected = $key == $today_month ? 'selected' : '';
							  	echo '<option value="'.$key.'" '.$selected.'>'. $month .'</option>';
							  
							  }
							  ?>
							  
							</select>
							
							<select name="year">
							<?php 
							
							$years = range(2012,2015,1);
							foreach($years as $year) {
							
								$selected = $year == $today_year ? 'selected' : '';
								echo '<option value="'. $year .'" '. $selected .'>'. $year .'</option>';
							}
							?>
							</select>
							<a id="submit" class="cal-submit yellow-btn" href="#"><?php _e('Go','earth') ?></a>
						</form>
						
						<div id="cal-nav">
							<?php
							
							$next_year = $prev_year = $today_year;
							$next_month = $today_month + 1;
							
							if($next_month > 12) {
								$next_month = 1;
								$next_year = $today_year + 1;
							}
							
							$prev_month = $today_month - 1;

							if($prev_month < 1) {
								$prev_month = 12;
								$prev_year = $today_year - 1;
							}
							
							?>
							<form id="cal-prev_val">
								<input type="hidden" name="month" class="month" value="<?php echo $prev_month ?>">
								<input type="hidden" name="year" class="year" value="<?php echo $prev_year ?>">
							</form>
							<form id="cal-next_val">
								<input type="hidden" name="month" class="month" value="<?php echo $next_month ?>">
								<input type="hidden" name="year" class="year" value="<?php echo $next_year ?>">
							</form>
							<input type="button" id="cal-prev" class="yellow-btn" value=" &laquo; Prev">
							<input type="button" id="cal-next" class="yellow-btn" value="Next &raquo;">
						</div>
                        
                        <h2 id="calendar_title"><?php echo $months[$today_month].' '.$today_year; ?></h2>
						
						<div id="calendar">
						
							<?php echo draw_calendar($today_month,$today_year); ?>
						
						</div>
					
					</div>
					
				</div>
			
        </div>
		
	<?php
	//show comments, unless disabled
	if($data['enable_disable_page_comments'] != 'disable') {
    comments_template(); } ?>  
		
    </div><!--/#content-full-width-->
    
<?php endwhile; endif; ?>
<?php get_footer(); ?>
