<?php
/**
 * @package WordPress
 * @subpackage Earth Theme
 * Template Name: Events
 */
global $data
?>

<?php get_header(); ?>

<?php
//start loop
if(have_posts()) : while (have_posts()) : the_post();

//get meta
$enable_disable_title = get_post_meta($post->ID, 'earth_page_title', TRUE);

//show title unless disabled
if($enable_disable_title != 'Disable') {?>
<header id="page-heading">
    <h1><?php the_title(); ?></h1>
</header>
<!-- END page-heading -->
<?php } ?>
    
<div class="post clearfix">

    <?php
    //get and show page content if not blank
    $content = $post->post_content;
    if(!empty($content)) { ?>
        <div id="event-description" class="clearfix">
            <?php the_content(); ?>
        </div>
        <!-- event-description -->
    <?php } ?>      
    
    <div id="event-wrap" class="clearfix">
        <?php
			//get post type ==> event
			query_posts(array(
				'post_type'=>'events',
				'posts_per_page' => 10,
				'paged'=>$paged,
				'orderby' => 'meta_value_num',
				'order' => $data['events_order'],
				'meta_key' => 'timestamp_earth_event_start_date',
				'post__not_in' => wpex_get_expired_events_ids() // exclude past events
            ));
            
			//start loop
			$count=0;
			while (have_posts()) : the_post();
			$count++;
			
			//description
			$event_description = get_post_meta($post->ID, 'earth_event_description', TRUE);
			
			//months
			$months = earth_months();
			
        	//start date
			$start_date = get_post_meta($id, 'earth_event_start_date', TRUE);
			$start_date_print = $start_date['month'].' '.$start_date['day'].', '.$start_date['year']; ?>
            
			<article class="event-entry clearfix">
				<div class="event-date">
					<div class="event-month">
						<?php echo $months[$start_date['month']]; ?>
					</div>
					<!-- /event-month -->
					<div class="event-day">
						<?php echo $start_date['day']; ?>
					</div>
					<!-- /event-day -->
				</div>
				<!--/event-date -->
				<div class="event-entry-content">
					<h3><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>
					<?php if($event_description) { echo do_shortcode($event_description); } else { echo wp_trim_words( get_the_content(), 11, '...' ); } ?>
				</div>
				<!-- /event-entry-content -->
			</article>
			<!-- /event-entry-content -->
        <?php if($count =='2') { echo '<div class="clear"></div>'; $count=0; } endwhile; ?>
    </div>
    <!-- /event-wrap -->
    
    <div id="event-pagination">
    	<?php pagination(); ?>
    </div>
    <!-- /event-pagination -->
    
	<?php wp_reset_query(); ?>

<?php
//end main page loop
endwhile; endif; ?>
    
</div>
<!-- /post -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>