<?php
/**
 * @package WordPress
 * @subpackage Earth Theme
 * Template Name: FAQs - By Category
 */

get_header(); //get header template
if(have_posts()) : while (have_posts()) : the_post(); //start loop

//show title unless disabled
if( get_post_meta($post->ID, 'earth_page_title', TRUE) != 'Disable') {?>
<header id="page-heading">
    <h1><?php the_title(); ?></h1>
</header><!-- /page-heading -->
<?php } ?>

<div id="faqs-wrap" class="post clearfix">  
  
    <?php
    if(!empty( $post->post_content )) { ?>
        <div id="faqs-description" class="clearfix">
            <?php the_content(); ?>
        </div>
        <!-- /faqs-description -->
    <?php }
	
	//get terms
    $terms = get_terms('faq_cats','orderby=custom_sort&hide_empty=1');
    foreach($terms as $term) {
	?>
    	<h2 class="faqs-topic-title"><span><?php echo $term->name; ?></span></h2>
   		<div class="faqs-topic clearfix">
			<?php
			$tax_query = array(
			array(
				'taxonomy' => 'faq_cats',
				'terms' => $term->slug,
				'field' => 'slug'
				)
			);
            //get_posts ==> FAQs
            global $post;
            $term_post_args = array(
                'post_type' => 'faqs',
                'numberposts' => '-1',
				'tax_query' => $tax_query
            );
            $term_posts = get_posts($term_post_args);
            //start loop
            foreach ($term_posts as $post) : setup_postdata($post);
            ?>
            <article class="faq-entry clearfix">
                <h3 class="faq-title"><a href="#"><span class="awesome-icon-question-sign"></span><?php the_title(); ?></a></h3>
                <div class="faq-entry-answer">
					<?php the_content(); ?>
                </div><!-- /faq-entry-answer -->
            </article><!-- /faq-entry -->
    	<?php endforeach; ?>
    </div><!-- /faqs-department-wrap -->
    <?php } //end foreach ($terms as $term)
	wp_reset_postdata(); //reset postdata ?>
    
</div><!-- /post -->
<?php endwhile; endif; //end loop ?>	
<?php get_sidebar(); //get sidebar template ?>
<?php get_footer(); //get footer template ?>