<?php
/**
 * @package WordPress
 * @subpackage Earth Theme
 * Template Name: FAQs
 */

get_header(); //get header template
if(have_posts()) : while (have_posts()) : the_post(); //start loop

//show title unless disabled
if( get_post_meta($post->ID, 'earth_page_title', TRUE) != 'Disable') {?>
<header id="page-heading">
    <h1><?php the_title(); ?></h1>
</header><!-- /page-heading -->
<?php } ?>

<div id="faqs-wrap" class="post clearfix">
	<?php
    //get_posts ==> FAQs
    global $post;
    $term_post_args = array(
        'post_type' => 'faqs',
        'numberposts' => '-1',
		'suppress_filters' => false // WPML Support
    );
    $term_posts = get_posts($term_post_args);
    //start loop
    foreach ($term_posts as $post) : setup_postdata($post);
    ?>
    <article class="faq-entry clearfix">
        <h3 class="faq-title"><a href="#"><span class="awesome-icon-question-sign"></span><?php the_title(); ?></a></h3>
        <div class="faq-entry-answer">
            <?php the_content(); ?>
        </div><!-- /faq-entry-answer -->
    </article><!-- /faq-entry -->
    <?php endforeach; ?>
    <?php wp_reset_postdata(); ?> 
</div><!-- /post -->
<?php endwhile; endif; //end loop ?>	
<?php get_sidebar(); //get sidebar template ?>
<?php get_footer(); //get footer template ?>