<?php
/**
 * @package WordPress
 * @subpackage Earth Theme
 * Template Name: Gallery With Filter
 */
global $data
?>

<?php get_header(); ?>

<?php
//start loop
if(have_posts()) : while (have_posts()) : the_post();

//get meta
$enable_disable_title = get_post_meta($post->ID, 'earth_page_title', TRUE);

//show title unless disabled
if($enable_disable_title != 'Disable') {?>
<header id="page-heading">
	<h1><?php the_title(); ?></h1>
</header>
<!-- END page-heading -->
<?php } ?>

<div class="post full-width clearfix">
    
    <?php
    //get and show page content if not blank
    $content = $post->post_content;
    if(!empty($content)) { ?>
        <div id="gallery-description" class="clearfix">
            <?php the_content(); ?>
        </div>
        <!-- gallery-description -->
    <?php } ?>
    
	<?php 
	//get meta to set parent category
	$gallery_filter_parent = '';
	$gallery_parent = get_post_meta($post->ID, 'earth_gallery_parent', true);
	if($gallery_parent != 'select_gallery_parent') { $gallery_filter_parent = $gallery_parent; } else { $gallery_filter_parent = NULL; }
			
    //get gallery categories
    $cats_args = array(
        'hide_empty' => '1',
        'child_of' => $portfolio_filter_parent
    );
    $cats = get_terms('gallery_cats', $cats_args);
    
    //show filter if categories exist
    if($cats) { ?>
    <!-- Portfolio Filter -->
    <ul id="gallery-cats" class="filter clearfix">
        <li><a href="#" class="active" data-filter="*"><span><?php _e('All', 'earth'); ?></span></a></li>
        <?php
        foreach ($cats as $cat ) : ?>
        <li><a href="#" data-filter=".<?php echo $cat->slug; ?>"><span><?php echo $cat->name; ?></span></a></li>
        <?php endforeach; ?>
    </ul><!-- /gallery-cats -->
    <?php } ?>
    
    <div id="gallery-wrap" class="clearfix">
        <?php
            //tax query
            if($gallery_filter_parent) {
                $tax_query = array(
                    array(
                          'taxonomy' => 'gallery_cats',
                          'field' => 'id',
                          'terms' => $gallery_filter_parent
                          )
                    );
            } else { $tax_query = NULL; }
        
            //get post type ==> gallery
            query_posts(array(
                'post_type'=>'gallery',
                'posts_per_page' => -1,
                'paged'=>$paged,
                'tax_query' => $tax_query
            ));
            
            //start loop
            $count=0;
            while (have_posts()) : the_post();
            $count++;
            
			//get terms
			$terms = get_the_terms( get_the_ID(), 'gallery_cats' );
			
			//cropped image
			$thumb = get_post_thumbnail_id();
			$img_url = wp_get_attachment_url($thumb,'full'); //get full URL to image
			$featured_image = aq_resize( $img_url, 210, 170, true ); //resize & crop the image
			
			//show only if featured image is set
			if($featured_image) {
        ?>
        <article class="gallery-entry <?php if($terms) foreach ($terms as $term) echo $term->slug .' '; ?>">
                <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="styled-img">
                	<img src="<?php echo $featured_image; ?>" />
                    <div class="img-overlay"><span class="awesome-icon-plus-sign"></span></div><!-- arrow hover -->
                </a>
                <div class="gallery-entry-content">
                    <h2 class="heading"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>
                </div>
                <!-- /gallery-entry-content -->
        </article>
        <!-- /gallery-entry -->
        <?php  } if($count == '4') { echo '<div class="clear"></div>'; $count=0; } endwhile; ?>
    </div>
    <!-- /gallery-wrap -->
    
	<?php wp_reset_query(); ?>

</div>
<!-- /post -->
<?php
//end main page loop
endwhile; endif; ?>
<?php get_footer(); ?>