<?php
/**
 * @package WordPress
 * @subpackage Earth Theme
 * Template Name: Gallery
 */
global $data;

get_header(); //get header template

//start loop
if(have_posts()) : while (have_posts()) : the_post();

//show title unless disabled
if( get_post_meta($post->ID, 'earth_page_title', TRUE) !== 'Disable') {?>
<header id="page-heading">
	<h1><?php the_title(); ?></h1>
</header><!-- /page-heading -->
<?php } ?>

<div class="post full-width clearfix">   

    <?php
	//post content
    if(!empty($post->post_content)) { ?>
        <div id="gallery-description" class="clearfix">
            <?php the_content(); ?>
        </div><!-- /gallery-description -->
    <?php } ?>      
    
    <div id="gallery-wrap" class="clearfix">
        <?php
            //get meta to set parent category
            $gallery_filter_parent = '';
            $gallery_parent = get_post_meta($post->ID, 'earth_gallery_parent', true);
            if($gallery_parent != 'select_gallery_parent') { $gallery_filter_parent = $gallery_parent; } else { $gallery_filter_parent = NULL; }
            
            //tax query
            if($gallery_filter_parent) {
                $tax_query = array(
                    array(
                          'taxonomy' => 'gallery_cats',
                          'field' => 'id',
                          'terms' => $gallery_filter_parent
                          )
                    );
            } else { $tax_query = NULL; }
        
            //get post type ==> gallery
            query_posts(array(
                'post_type'=>'gallery',
                'posts_per_page' => 12,
                'paged'=>$paged,
                'tax_query' => $tax_query
            ));
            
            //start loop
            $count=0;
            while (have_posts()) : the_post();
            $count++;
			
			//show only if featured image is set
			if( has_post_thumbnail() ) {
			?>
			<article class="gallery-entry">
					<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="styled-img">
						<img src="<?php echo aq_resize( wp_get_attachment_url(get_post_thumbnail_id(),'full'), 210, 170, true ); ?>" />
						<div class="img-overlay"><span class="awesome-icon-plus-sign"></span></div><!-- arrow hover -->
					</a>
					<div class="gallery-entry-content">
						<h2 class="heading"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>
					</div><!-- /gallery-entry-content -->
			</article><!-- /gallery-entry -->
        <?php } if($count == '4') { echo '<div class="clear"></div>'; $count=0; } endwhile; ?>
    </div><!-- /gallery-wrap -->
    
    <div id="gallery-pagination">
    	<?php pagination(); ?>
    </div><!-- /gallery-pagination -->
    
	<?php wp_reset_query(); //reset main query ?>
    
</div><!-- /post -->
<?php
endwhile; endif; //end main page loop
get_footer(); //get footer template ?>